/* --- EASYDROPDOWN DEFAULT THEME --- */

/* PREFIXED CSS */

.dropdown,
.dropdown div,
.dropdown li,
.dropdown div::after {
    -webkit-transition: all 150ms ease-in-out;
    -moz-transition: all 150ms ease-in-out;
    -ms-transition: all 150ms ease-in-out;
    transition: all 150ms ease-in-out;
}

.dropdown .selected::after,
.dropdown.scrollable div::after {
    -webkit-pointer-events: none;
    -moz-pointer-events: none;
    -ms-pointer-events: none;
    pointer-events: none;
}

/* WRAPPER */

.dropdown {
    position: relative;
    width: 270px;
    display: inline-block;
    vertical-align: middle;
    border: 1px solid #CBCBCB;
    cursor: pointer;
    background: #fff;
    border-radius: 0;

    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.dropdown.open {
    z-index: 2;
}

.dropdown.focus {
    box-shadow: 0 0 5px rgba(51, 102, 248, .4);
}

/* CARAT */

.dropdown .carat {
    width: 13px;
    height: 7px;
    position: absolute;
    right: 16px;
    top: 50%;
    margin-top: -3.5px;
    background-image: url('/img/ico.png');
    background-position: -76px -39px;
}

.dropdown.open .carat {
    transform: rotate(180deg);
}

/* OLD SELECT (HIDDEN) */

.dropdown .old {
    position: absolute;
    left: 0;
    top: 0;
    height: 0;
    width: 0;
    overflow: hidden;
}

.dropdown select {
    position: absolute;
    left: 0px;
    top: 0px;
}

.dropdown.touch .old {
    width: 100%;
    height: 100%;
}

.dropdown.touch select {
    width: 100%;
    height: 100%;
    opacity: 0;
}

/* SELECTED FEEDBACK ITEM */

.dropdown .selected,
.dropdown li {
    display: block;
    font-size: 15px;
    line-height: 1;
    color: rgba(64, 73, 85, 0.85);
    padding: 13px;
    overflow: hidden;
    white-space: nowrap;
}

.dropdown .selected:before {
    content: "▼";
    display: inline-block;
    position: absolute;
    top: 52%;
    right: 16px;
    font-size: 12px;
    color: rgba(64, 73, 85, 0.85);
    transform: translateY(-50%);
    z-index: 1;
}

.dropdown .selected::after {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    width: 60px;

    border-radius: 0 2px 2px 0;
    box-shadow: inset -55px 0 25px -20px #fff;
}

/* DROP DOWN WRAPPER */

.dropdown div {
    position: absolute;
    height: 0;
    left: -1px;
    right: -1px;
    top: 100%;
    margin-top: -1px;
    background: #fff;
    border: 1px solid #70d9e7;
    border-top: 1px solid #eee;
    border-radius: 0 0 3px 3px;
    overflow: hidden;
    opacity: 0;
}

/* Height is adjusted by JS on open */

.dropdown.open div {
    opacity: 1;
    z-index: 2;
}

/* FADE OVERLAY FOR SCROLLING LISTS */

.dropdown.scrollable div::after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 50px;

    box-shadow: inset 0 -50px 30px -35px #fff;
}

.dropdown.scrollable.bottom div::after {
    opacity: 0;
}

/* DROP DOWN LIST */

.dropdown ul {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    list-style: none;
    overflow: hidden;
    padding: 0;
    margin: 0;
}

.dropdown.scrollable.open ul {
    overflow-y: auto;
}

/* DROP DOWN LIST ITEMS */

.dropdown li {
    list-style: none;
    padding: 13px 12px;
}


.dropdown li:first-child {
    display: none;
}

/* .focus class is also added on hover */

.dropdown li.focus {
    background: #f6f6f6;
    position: relative;
    z-index: 3;
}